style.css 1.3 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697
  1. body {
  2. margin: 0;
  3. overflow: hidden;
  4. font-family:
  5. -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu,
  6. Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  7. --bg: #1d1f21;
  8. --border: #333;
  9. }
  10. #header {
  11. position: absolute;
  12. top: 0;
  13. left: 0;
  14. right: 0;
  15. height: 60px;
  16. box-sizing: border-box;
  17. background-color: var(--bg);
  18. border-bottom: 1px solid var(--border);
  19. padding: 0.3em 1.6em;
  20. color: #fff;
  21. z-index: 1;
  22. }
  23. h1 {
  24. font-size: 18px;
  25. display: inline-block;
  26. margin-right: 15px;
  27. }
  28. #options-wrapper {
  29. position: absolute;
  30. top: 20px;
  31. right: 10px;
  32. }
  33. #options-wrapper:hover #options {
  34. display: block;
  35. }
  36. #options-label {
  37. cursor: pointer;
  38. text-align: right;
  39. padding-right: 10px;
  40. font-weight: bold;
  41. }
  42. #options {
  43. display: none;
  44. margin-top: 15px;
  45. list-style-type: none;
  46. background-color: var(--bg);
  47. border: 1px solid var(--border);
  48. padding: 15px 30px;
  49. }
  50. #options li {
  51. margin: 8px 0;
  52. }
  53. #header a {
  54. font-weight: 600;
  55. color: rgb(101, 163, 221);
  56. }
  57. #header .label {
  58. font-weight: bold;
  59. }
  60. #header input {
  61. margin-right: 6px;
  62. }
  63. #header label {
  64. color: #999;
  65. }
  66. .editor {
  67. position: absolute;
  68. top: 60px;
  69. bottom: 0;
  70. box-sizing: border-box;
  71. }
  72. #source {
  73. left: 0;
  74. width: 45%;
  75. }
  76. #output {
  77. left: 45%;
  78. width: 55%;
  79. }
  80. .highlight {
  81. background-color: rgba(46, 120, 190, 0.5);
  82. }